c reference 
c T. N. Taddeucci, et al., Phys. Rev. C 41, 6(1990)
c Zero-degree cross sections for the 7Li(p,n)7Be(g.s.+0.43-MeV) reaction inthe energy range 80-795 MeV

      program main
      implicit none

      real f_two_body_beta

      real theta_lab, theta_cm, dtheta_cm, theta_cm_last
      real mu
      real mp, kp, mli, kli, mn, kn, mbe, kbe
      real beta_lab

      real f_momentum, f_q
      real p_in, p_out, q

      real sigma, rrt, sigma_o, sigmastr, sigmasum

      integer i

c initialize -------------------->
      mu = 931.494

      mp = 7.289 + mu
c set energy ------------------->>
      kp = 200.
c <<-----------------------------
      mli = 14.908 + mu * 7
      kli = 0.

      mn = 8.071 + mu
      kn = 0.
      mbe = 15.770 + mu * 7
      kbe = 0.

c 200-300MeV
      rrt = 5.7;
c 160MeV
c      sigmao = 26.9;
c 200MeV
      sigma_o = 26.0;
c 494MeV
c      sigmao = 27.0;
c -----------------------------<

c start main loop ----------------------------------------------->
         write(*,*) "energy is", kp , "MeV"
         write(*,'(7(a13))')
     &        "rad(lab), ",
     &        "rad(cm), ",
     &        "m.t.(fm-1), ",
     &        "beta_lab, ",
     &        "sigma(mb/sr), ",
     &        "sigma(mb), ",
     &        "sigma_sum(mb)"

      theta_lab = 0.
      theta_cm_last = 0.
      sigmasum = 0.
      do i=1, 25
         theta_lab = theta_lab + 0.01

c calculation beta by theta_lab --------------------------------->>
         beta_lab = f_two_body_beta
     &        (theta_lab, theta_cm, mp, kp, mli, kli, mn, kn, mbe, kbe)
c ---------------------------------------------------------------<<

c calculation sigma --------------------------------------------->>
         p_in = f_momentum(mp, kp)
         p_out = f_momentum(mn, kn)
         q = f_q(p_in, p_out, theta_lab);

         dtheta_cm = theta_cm-theta_cm_last;
         theta_cm_last = theta_cm;

         sigma = sigma_o * exp(-q**2 * rrt);
         sigmastr = sigma*2*3.14159*sin(theta_cm-dtheta_cm/2)*dtheta_cm;
         sigmasum = sigmasum + sigmastr;
c ---------------------------------------------------------------<<

c calculation check --------------------------------------------->>
         write(*,'(7(f12.5,x))') 
     &       theta_lab, theta_cm, q, beta_lab, sigma, sigmastr, sigmasum
c ---------------------------------------------------------------<<
      enddo
c ----------------------------------------------------------------<

      return 
      end
